import type { Prisma } from '../../generated/prisma';
import * as z from 'zod';
import { CommissionBatchItemIncludeObjectSchema as CommissionBatchItemIncludeObjectSchema } from './objects/CommissionBatchItemInclude.schema';
import { CommissionBatchItemOrderByWithRelationInputObjectSchema as CommissionBatchItemOrderByWithRelationInputObjectSchema } from './objects/CommissionBatchItemOrderByWithRelationInput.schema';
import { CommissionBatchItemWhereInputObjectSchema as CommissionBatchItemWhereInputObjectSchema } from './objects/CommissionBatchItemWhereInput.schema';
import { CommissionBatchItemWhereUniqueInputObjectSchema as CommissionBatchItemWhereUniqueInputObjectSchema } from './objects/CommissionBatchItemWhereUniqueInput.schema';
import { CommissionBatchItemScalarFieldEnumSchema } from './enums/CommissionBatchItemScalarFieldEnum.schema';

// Select schema needs to be in file to prevent circular imports
//------------------------------------------------------

export const CommissionBatchItemFindManySelectSchema: z.ZodType<Prisma.CommissionBatchItemSelect> = z.object({
    id: z.boolean().optional(),
    commissionBatchId: z.boolean().optional(),
    paymentId: z.boolean().optional(),
    collectionAmount: z.boolean().optional(),
    commissionBatch: z.boolean().optional(),
    payment: z.boolean().optional()
  }).strict() as unknown as z.ZodType<Prisma.CommissionBatchItemSelect>;

export const CommissionBatchItemFindManySelectZodSchema = z.object({
    id: z.boolean().optional(),
    commissionBatchId: z.boolean().optional(),
    paymentId: z.boolean().optional(),
    collectionAmount: z.boolean().optional(),
    commissionBatch: z.boolean().optional(),
    payment: z.boolean().optional()
  }).strict();

export const CommissionBatchItemFindManySchema: z.ZodType<Prisma.CommissionBatchItemFindManyArgs> = z.object({ select: CommissionBatchItemFindManySelectSchema.optional(), include: z.lazy(() => CommissionBatchItemIncludeObjectSchema.optional()), orderBy: z.union([CommissionBatchItemOrderByWithRelationInputObjectSchema, CommissionBatchItemOrderByWithRelationInputObjectSchema.array()]).optional(), where: CommissionBatchItemWhereInputObjectSchema.optional(), cursor: CommissionBatchItemWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([CommissionBatchItemScalarFieldEnumSchema, CommissionBatchItemScalarFieldEnumSchema.array()]).optional() }).strict() as unknown as z.ZodType<Prisma.CommissionBatchItemFindManyArgs>;

export const CommissionBatchItemFindManyZodSchema = z.object({ select: CommissionBatchItemFindManySelectSchema.optional(), include: z.lazy(() => CommissionBatchItemIncludeObjectSchema.optional()), orderBy: z.union([CommissionBatchItemOrderByWithRelationInputObjectSchema, CommissionBatchItemOrderByWithRelationInputObjectSchema.array()]).optional(), where: CommissionBatchItemWhereInputObjectSchema.optional(), cursor: CommissionBatchItemWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([CommissionBatchItemScalarFieldEnumSchema, CommissionBatchItemScalarFieldEnumSchema.array()]).optional() }).strict();